#
# spec file for package vdr-plugin-vnsiserver
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pluginname vnsiserver
%define pluginconfdir %{vdr_sysconfdir}/plugins/%{pluginname}

Name:           vdr-plugin-%{pluginname}
Version:        1.8.0
Release:        lp150.1.2
Summary:        VDR plugin to handle XBMC clients
#Url:            https://github.com/opdenkamp/xbmc-pvr-addons/tree/master/addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
License:        GPL-2.0-only
Group:          Hardware/TV
Url:            https://github.com/FernetMenta/vdr-plugin-vnsiserver
Source0:        https://github.com/FernetMenta/vdr-plugin-vnsiserver/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vdr-plugin-vnsiserver.firewall
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
BuildRequires:  zlib-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VDR plugin to handle XBMC clients.
The vdr-plugin-vnsiserver is able to handle several XBMC clients connecting via the vnsiserver addon.

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -d -m 755 %{buildroot}%{pluginconfdir}
ln -s %{vdr_sysconfdir}/svdrphosts.conf %{buildroot}%{pluginconfdir}/allowed_hosts.conf
# firewall config
install -m 644 -D %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}

%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc COPYING HISTORY README
%attr(755,vdr,root) %dir %{vdr_sysconfdir}/plugins
%attr(755,vdr,root) %dir %{pluginconfdir}
%{pluginconfdir}/allowed_hosts.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}

%changelog
* Thu Dec 27 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- update to 1.8.0 (2018-10-19)
* Sat Jan 21 2017 seife+obs@b1-systems.com
- update to 1.5.2 (2017-01-14):
  * group recordings
  * fixes for epg updates
  * fixes for searchtimers
  * see github history
- 2016-09-25: Version 1.5.1
  * see github history for fixes
  * added new setup parameter DisableCamBlacklist:
  * avoids a VDR hard-coded 15 seconds timeout if tuning failed due
    to hard-coded scramble timeout
* Wed Aug  3 2016 seife+obs@b1-systems.com
- update to 1.5.0 (2016-08-01):
  * support for vdr 2.3.1
  * add epg search timers
  * support for h265 (hevc)
  * fix PID change
  * fixes and improvements for handling of CAMs
  * see github history for other fixes
- 2015-09-18: Version 1.3.0
  * add support for undelete recordings
  * add support for rds data if present on dvb radio and send to addon if supported there
  * Update support for wirbelscan plugin
  * Rework Licence files to use KODI
  * Improved README
  * Fix possible seq fault in void cRecPlayer::reScan()
  * fix picons for western
  * make avoid EPG scan while streaming default
  * see github history for other fixes
- remove obsolete vnsiserver-gcc6.patch
* Fri Jun 17 2016 seife+obs@b1-systems.com
- add vnsiserver-gcc6.patch to fix build with GCC 6
* Sun Mar  8 2015 seife+obs@b1-systems.com
- update to version 1.2.1 (2015-01-25):
  * add cmd line switch for setting tcp port
  * fix potential segfault on stop streaming
  * stop triggering epg updates if client does not fetch epg
* Sun Nov  2 2014 seife+obs@b1-systems.com
- update to 1.2.0
  - add cmd line switch "-d". if set, vnsi creates a dummy dvb
    device which makes femon work on all channels
  - add setup parameter AvoidEPGScan. if set to 1, vnsi disables
    EPG scan while streaming. EPG scan during streaming can lead
    to artifacs on some dual tuner cards.
  - fix div by zero on AAC audio, thanks to Jakob Sloth Jepsen
* Thu Sep  4 2014 wagner-thomas@gmx.at
- added firewall template file
* Sun Aug  3 2014 wagner-thomas@gmx.at
- Update to 1.1.0 (caution new version number scheme)
  this makes vnsiserver compatible to XMBC 13
* Sun Mar 30 2014 seife+obs@b1-systems.com
- run spec-cleaner
- remove vdrapi from package version
- fix plugin config directory
- use PreReq vdr_prereq macro instead of vdrapi requires
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
* Sat Dec 28 2013 thomas-wagner@gmx.at
- added default allow_host.conf  by linking to svdrphosts.conf
* Sun Dec 15 2013 thomas-wagner@gmx.at
- update to vnsiserver 12
- fixed build error
